%define upname flac
%define flacdocs %_docdir/%upname-%version

Name: flac7
Version: 1.1.2
Release: alt4.qa1

Summary: Free Lossless Audio Codec
License: GPL
Group: Sound
Url: http://flac.sourceforge.net/
Packager: Pavlov Konstantin <thresh@altlinux.ru>

PreReq: lib%upname = %version-%release
PreReq: libogg%upname = %version-%release

Source: %upname-%version.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Wed Feb 23 2005
BuildRequires: docbook-utils doxygen gcc-c++ glib-devel gtk+-devel libogg-devel libstdc++-devel nasm

%description
FLAC (%url) is an Open Source lossless audio codec.

%description -l ru_RU.CP1251
FLAC (%url) -       ,
   .

%package -n lib%upname
Summary: FLAC shared library
Group: System/Libraries
License: BSD-like

%description -n lib%upname
The lib%upname package contains a shared library of
functions for manipulating FLAC format audio files.

%description -n lib%upname -l ru_RU.CP1251
        
  FLAC.

%package -n lib%upname++
Summary: Object shared library FLAC++
Group: System/Libraries
License: BSD-like

%description -n lib%upname++
The lib%upname++ package contains a object wrapper library
of functions for manipulating FLAC format audio files.

%description -n lib%upname++ -l ru_RU.CP1251
      
     FLAC.

%package -n libogg%upname
Summary: OggFLAC shared library
Group: System/Libraries
License: BSD-like

%description -n libogg%upname
The libOgg%upname package contains a shared library of functions for
manipulating FLAC format audio files wrapped in Ogg container.

%description -n libogg%upname -l ru_RU.CP1251
        
  FLAC,    Ogg.

%package -n libogg%upname++
Summary: Object shared library OggFLAC++
Group: System/Libraries
License: BSD-like

%description -n libogg%upname++
The libOgg%upname++ package contains a object wrapper library of functions
for manipulating FLAC format audio files wrapped in Ogg container.

%description -n libogg%upname++ -l ru_RU.CP1251
        
   FLAC,    Ogg.

%prep
%setup -q -n %upname-%version

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure --enable-exhaustive-tests %{subst_enable static}
%make

%install
%makeinstall xmmsinputplugindir=%buildroot%xmms_inputdir
%__install -m644 COPYING.Xiph AUTHORS README %buildroot%flacdocs

%files -n lib%upname
%_libdir/libFLAC.so.*
%dir %flacdocs
%dir %flacdocs/html
%flacdocs/AUTHORS
%flacdocs/README
%flacdocs/COPYING.Xiph

%files -n lib%upname++
%_libdir/libFLAC++.so.*

%files -n libogg%upname
%_libdir/libOggFLAC.so.*

%files -n libogg%upname++
%_libdir/libOggFLAC++.so.*

%changelog
* Fri Nov 13 2009 Repocop Q. A. Robot <repocop@altlinux.org> 1.1.2-alt4.qa1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for liboggflac
  * postun_ldconfig for liboggflac
  * post_ldconfig for libflac++
  * postun_ldconfig for libflac++
  * post_ldconfig for libflac
  * postun_ldconfig for libflac
  * post_ldconfig for liboggflac++
  * postun_ldconfig for liboggflac++
  * postclean-05-filetriggers for spec file

* Thu Feb 01 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.1.2-alt4
- Removed development packages.
- Compatibility package.

* Sun Jun 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.1.2-alt3
- Added patch2 to fix -as-needed problem with linkage.

* Sat Feb 26 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.2-alt2
- Fixed problem with xmms plugin startup.

* Mon Feb 14 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Fri Jun 25 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt8
- Fixed bug #4289: libFLAC is now linked with -lm.

* Thu Apr 29 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt7
- Updated to current CVS.

* Thu Feb 05 2004 Alexey Tourbin <at@altlinux.ru> 1.1.0-alt6.1
- better fix for non-pic code (convenience libtool libraries)

* Mon Dec 15 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt6
- Package with input plugin for xmms renamed.

* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt5
- *.la files removed.

* Fri Nov 14 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt4
- Set textrel=relaxed for now.

* Fri Mar 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt3
- Rebuilt with id3lib 3.8.3

* Wed Mar 05 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt2
- fixed: documentation added.
- fixed: bug #0002303.

* Wed Jan 29 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Fri Jan 17 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.5-alt0.9
- Package flac now depends on liboggflac.
- Real fix for xmms plugin.
- Rebuilt with id3lib 3.8.2.

* Mon Nov 04 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.4-alt3
- Temprorary fix in xmms plugin (id3v2 tags disabled).

* Mon Nov 04 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.4-alt2
- Rebuilt with gcc3.2.

* Wed Sep 11 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.4-alt1
- 1.0.4
- Added new packages with OggFLAC and OggFLAC++ liraries.

* Thu Jul 11 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.3-alt1
- 1.0.3
- Corrected dependencies to xmms library.
- Added new packages with object liraries.

* Tue Dec 04 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Mon Nov 26 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0.1-alt1
- 1.0.1
- Some changes in spec.

* Wed Aug 8 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt1
- First version of RPM package.

* Wed Jul 20 2001 Josh Coalson
- FLAC 1.0 is out!
